org.eclipse.cdt.utils.elf.parser

## Class GNUSymbol

- java.lang.Object
- - org.eclipse.cdt.utils.Symbol
  - - org.eclipse.cdt.utils.elf.parser.GNUSymbol

All Implemented Interfaces:
  Comparable<Object>, IBinaryParser.ISymbol

    public class GNUSymbol
    extends Symbol

### Field Summary

### Fields inherited from class org.eclipse.cdt.utils.Symbol

`binary`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.ISymbol

`FUNCTION, VARIABLE`

### Constructor Summary

Constructors
Constructor and Description
`GNUSymbol(ElfBinaryObject binary, String name, int type, IAddress addr, long size)`
`GNUSymbol(ElfBinaryObject binary, String name, int type, IAddress addr, long size, org.eclipse.core.runtime.IPath sourceFile, int startLine, int endLine)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLineNumber(long offset)` Line number corresponding to the address offset.

### Methods inherited from class org.eclipse.cdt.utils.Symbol

`compareTo, getAddress, getBinaryObject, getEndLine, getFilename, getName, getSize, getStartLine, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GNUSymbol

    public GNUSymbol(ElfBinaryObject binary,
                     String name,
                     int type,
                     IAddress addr,
                     long size,
                     org.eclipse.core.runtime.IPath sourceFile,
                     int startLine,
                     int endLine)

#### GNUSymbol

    public GNUSymbol(ElfBinaryObject binary,
                     String name,
                     int type,
                     IAddress addr,
                     long size)

### Method Detail

#### getLineNumber

    public int getLineNumber(long offset)

Description copied from interface: `IBinaryParser.ISymbol`
Line number corresponding to the address offset.

Specified by:
  `getLineNumber` in interface `IBinaryParser.ISymbol`
Overrides:
  `getLineNumber` in class `Symbol`